﻿@model NacGroup.Module.Core.Models.PagedResult<NacGroup.Module.Blog.Models.Schema.Blog>;
@{
    var host = (string)ViewData["cateurl"];
    var start = Model.CurrentPage - 5 >= 1 ? (Model.CurrentPage - 5) : 1;
    var end = Model.CurrentPage + 5 <= Model.TotalPageCount ? (Model.CurrentPage + 5) : Model.TotalPageCount;
}

@if (Model.Results.Count() > 0)
{
    
    <div class="section-body flex-container col-2item">
        @foreach (var item in Model.Results)
        {
            <div class="item-blog">
                <a href="/blogdetail/@(item.Url)" class="img-container">
                    <img src="@(item.Avatar)" alt="@(item.Title)">
                </a>
                <div class="text-container">
                    <a href="/blog-category/@(item.CategoryUrl)" class="cat h6"><span>@(item.CategoryName)</span></a>
                    <h3 class="h3"><a href="/blogdetail/@(item.Url)">@(item.Title)</a></h3>
                    <div class="date">@(item.CreatedDate.ToShortTimeString()) | @(item.CreatedDate.ToShortDateString())</div>
                </div>
            </div>
        }
    </div>
    <div class="section-footer m-top-4 text-center">
        <div class="pagination-container">
            <ul class="pagination">
                @if (Model.CurrentPage > 2)
                {
                    <li>
                        <a href="@string.Format("{0}page={1}", host, 1)" rel="prev">
                            <i class="demo-icon ecs-angle-double-left" aria-hidden="true"></i>
                        </a>
                    </li>
                }
                @if (start > 1)
                {
                    <li class="disabled"><a>…</a></li>
                }
                @if (Model.CurrentPage > 1)
                {
                    <li>
                        <a href="@string.Format("{0}page={1}", host, Model.CurrentPage - 1)" rel="prev">
                            <i class="demo-icon ecs-angle-left" aria-hidden="true"></i>
                        </a>
                    </li>
                }
                @for (var i = start; i <= end; i++)
                {
                    if (Model.CurrentPage == i)
                    {
                        <li class="active"><a>@i</a></li>
                    }
                    else
                    {
                        <li><a href="@string.Format("{0}page={1}", host, i)">@i</a></li>
                    }

                }
                @if (end < Model.TotalPageCount)
                {
                    <li class="disabled"><a>…</a></li>
                }
                @if (Model.CurrentPage < Model.TotalPageCount)
                {
                    <li>
                        <a href="@string.Format("{0}page={1}", host, Model.CurrentPage + 1)" rel="next">
                            <i class="demo-icon ecs-angle-right" aria-hidden="true"></i>
                        </a>
                    </li>
                }
                @if (Model.CurrentPage < Model.TotalPageCount - 2)
                {
                    <li>
                        <a href="@string.Format("{0}page={1}", host, Model.TotalPageCount)" rel="next">
                            <i class="demo-icon ecs-angle-double-right" aria-hidden="true"></i>
                        </a>
                    </li>
                }
            </ul>
        </div>
    </div>
}
